Subject: Re: 2.6.23-rc2-mm2 build error on MIPS and ARM

From: Mathieu Desnoyers <[email-masked]>
Date: Sun, 12 Aug 2007 09:35:52 -0400

* Martin Schwidefsky ([email-masked]) wrote:
> On Fri, 2007-08-10 at 22:58 -0400, Mathieu Desnoyers wrote:
> > I got the following errors when building 2.6.23-rc2-mm2 on both mips and
> > arm. Both errors are very much alike.
> 
> That attached patch should fix it for arm and mips. I'll try a few more
> architectures until I'm fed up with compiling cross-compilers..
> 

It fixes the problem for me, thanks!

Tested-by: Mathieu Desnoyers <[email-masked]>

Mathieu

> -- 
> blue skies,
>   Martin.
> 
> "Reality continues to ruin my life." - Calvin.
> ---
> Subject: [PATCH] move mm_struct and vm_area_struct, compile fix.
> 
> From: Martin Schwidefsky <[email-masked]>
> 
> Include <asm/page.h> in <linux/mm_types.h> to make mips and arm
> compile again after mm_struct and vm_area_struct have been moved.
> 
> Signed-off-by: Martin Schwidefsky <[email-masked]>
> ---
> 
>  include/linux/mm_types.h |    1 +
>  1 file changed, 1 insertion(+)
> 
> diff -urpN linux-2.6/include/linux/mm_types.h
> linux-2.6-patched/include/linux/mm_types.h
> --- linux-2.6/include/linux/mm_types.h	2007-08-11 11:30:10.000000000
> +0200
> +++ linux-2.6-patched/include/linux/mm_types.h	2007-08-11
> 11:32:42.000000000 +0200
> @@ -11,6 +11,7 @@
>  #include <linux/rwsem.h>
>  #include <linux/completion.h>
>  #include <asm/mmu.h>
> +#include <asm/page.h>
>  
>  struct address_space;
>  
> 
> 

-- 
Mathieu Desnoyers
Computer Engineering Ph.D. Student, Ecole Polytechnique de Montreal
OpenPGP key fingerprint: 8CD5 52C3 8E3C 4140 715F  BA06 3F25 A8FE 3BAE 9A68